import 'researchEdition.m.dart';

class RewriteServerDongleRequest extends TokenRequest{
	String? licenseData;

	RewriteServerDongleRequest({
		this.licenseData,
		String? token,
	}) : super(
			token: token,
		);

	factory RewriteServerDongleRequest.fromJson(Map<String, dynamic> map) {
		return RewriteServerDongleRequest( 
			licenseData: map['LicenseData'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if (licenseData != null)
			map['LicenseData'] = licenseData;
		return map;
	}
}

class ReportServerInfoRequest extends TokenRequest{
	String? name;

	ReportServerInfoRequest({
		this.name,
		String? token,
	}) : super(
			token: token,
		);

	factory ReportServerInfoRequest.fromJson(Map<String, dynamic> map) {
		return ReportServerInfoRequest( 
			name: map['Name'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if (name != null)
			map['Name'] = name;
		return map;
	}
}


