import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';


import 'masterInteractionCenter.m.dart';


class SlaveInteractionCenterService extends JsonRpcClientBase {
	SlaveInteractionCenterService(
		String host, {
		String serviceName = "ISlaveInteractionCenterService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				);

	Future<bool> syncReceiveMasterServiceDataAsync(SyncReceiveServiceDataRequest request) async {
		var rpcRst = await call("SyncReceiveMasterServiceDataAsync", request);
		return rpcRst;
	}

}

